Subject: [ippm] request for the wg adoption for draft-zhou-ippm-ioam-yang

From: Tianran Zhou <[email-masked]>
Date: Tue, 7 Jul 2020 01:13:34 +0000

Correct the title and resend :)

Hi IPPM WG and the Chairs,

We would like to request the WG adoption for the IOAM YANG data model as follows:
https://datatracker.ietf.org/doc/draft-zhou-ippm-ioam-yang/

This was presented 101 and 102. There were great comments from Greg Mirsky and Reshad Rahman on the model structure. Thanks.

Then the following revision keeps aligning with the IOAM data draft and IOAM-DEX draft.

As the IOAM data get mature, I think it's the right get the YANG model adopted, so that we can implement the system.

Thanks,
Tianran

---

From: "Srihari Raghavan (srihari)" <[email-masked]>
Date: Tue, 7 Jul 2020 08:13:09 +0000

Hi all

As a co-author of the IOAM yang model and implementor of the IOAM concept, would like to support and request the WG adoption of the data model draft as it adds value to the IOAM standardization and fills an important need for a common data model for all the five IOAM options.

Thanks
Srihari

From: Tianran Zhou <[email-masked]>
Date: Tuesday, 7 July 2020 at 6:43 AM
To: "IETF IPPM WG ([email-masked])" <[email-masked]>, ippm-chairs <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: request for the wg adoption for draft-zhou-ippm-ioam-yang
Resent from: <[email-masked]>
Resent to: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent date: Tuesday, 7 July 2020 at 6:43 AM

Correct the title and resend ☺

As the IOAM data get mature, I think it’s the right get the YANG model adopted, so that we can implement the system.

Thanks,
Tianran

---

From: tom petch <[email-masked]>
Date: Tue, 7 Jul 2020 16:38:00 +0000

________________________________________
From: ippm <[email-masked]> on behalf of Srihari Raghavan (srihari) <srihari=[email-masked]>
Sent: 07 July 2020 09:13

<tp>
There are a number of admin type things that need fixing in this I-D as and when it is adopted.

The module has zero references; they are required for any import and are needed for many of the nodes if they are to be understood.

YANG tree diagrams are defined in RFC8340

Requirements is out of date

YANG module lacks copyright

Why is IPv6 the only defined protocol as an  identity?

Tom Petch

Hi all

Thanks
Srihari

Thanks,
Tianran

---

From: Haoyu Song <[email-masked]>
Date: Tue, 7 Jul 2020 18:03:10 +0000

I support the adoption and  I think it's a useful complement to the main documents.

Haoyu

From: ippm <[email-masked]> On Behalf Of Tianran Zhou
Sent: Monday, July 06, 2020 6:14 PM
To: IETF IPPM WG ([email-masked]) <[email-masked]>; ippm-chairs <[email-masked]>
Cc: [email-masked]
Subject: [ippm] request for the wg adoption for draft-zhou-ippm-ioam-yang

We would like to request the WG adoption for the IOAM YANG data model as follows:
https://datatracker.ietf.org/doc/draft-zhou-ippm-ioam-yang/<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-zhou-ippm-ioam-yang%2F&data=02%7C01%7Chaoyu.song%40futurewei.com%7Cc7548f1a997544bdd3bd08d8221311ce%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637296812587772391&sdata=d%2BNZIh1Z%2BgxwV0IWKelKCanvHBMK4EnLHbEB4RedbLI%3D&reserved=0>

Thanks,
Tianran

---

From: Tianran Zhou <[email-masked]>
Date: Wed, 8 Jul 2020 10:00:13 +0000

Hi Tom,

Thank you very much for your review and comments. I will address your comments in next version soon.
But still I am not clear about the following two comments:

1. "There are a number of admin type things that need fixing in this I-D as and when it is adopted."
What's this exactly mean. Could you please give me more hints?

2. " Why is IPv6 the only defined protocol as an identity?"
We are going to include the working group adopted transport protocols for IOAM. IPv6 is one. Yes we may need to add some more.
What's your suggestion on this?

Thanks,
Tianran

-----Original Message-----
From: tom petch [mailto:[email-masked]] 
Sent: Wednesday, July 8, 2020 12:38 AM
To: Srihari Raghavan (srihari) <srihari=[email-masked]>; Tianran Zhou <[email-masked]>; IETF IPPM WG ([email-masked]) <[email-masked]>; ippm-chairs <[email-masked]>
Cc: [email-masked]
Subject: Re: request for the wg adoption for draft-zhou-ippm-ioam-yang

<tp>

Tom Petch

Hi all

Thanks
Srihari

Subject: request for the wg adoption for draft-zhou-ippm-ioam-yang Resent from: <[email-masked]> Resent to: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]> Resent date: Tuesday, 7 July 2020 at 6:43 AM

Thanks,
Tianran

---

From: tom petch <[email-masked]>
Date: Wed, 8 Jul 2020 11:42:06 +0000

Sent: 08 July 2020 11:00

Tom,

<tp> See the rest of the e-mail:-)  I mean boiler plate, references, IANA, Security, Version, Copyright and so on as opposed to the more technical details such as why a leaf is int32 octet?  Why octet and why might there be 4.000.000.000 of them? for which I need a reference for the data structures and hoped that such would be forthcoming.  I tend to make admin comments first, to see if the authors are awake:-), and then get more technical later, a pattern that you may have seen from me before.

2. " Why is IPv6 the only defined protocol as an identity?"
We are going to include the working group adopted transport protocols for IOAM. IPv6 is one. Yes we may need to add some more.
What's your suggestion on this?
<tp>
You mention others in the text of the I-D so I was expecting them all to be there or an explanation as to why they are not there.  I know of none other than the ones you mention.

Tom Petch

Thanks,
Tianran

-----Original Message-----
From: tom petch [mailto:[email-masked]]
Sent: Wednesday, July 8, 2020 12:38 AM
To: Srihari Raghavan (srihari) <srihari=[email-masked]>; Tianran Zhou <[email-masked]>; IETF IPPM WG ([email-masked]) <[email-masked]>; ippm-chairs <[email-masked]>
Cc: [email-masked]
Subject: Re: request for the wg adoption for draft-zhou-ippm-ioam-yang

<tp>

Tom Petch

Hi all

Thanks
Srihari

Thanks,
Tianran

---

From: Tianran Zhou <[email-masked]>
Date: Wed, 8 Jul 2020 12:20:48 +0000

Hi Tom,

Yeah, I now understand. 
I am awake. Come on, more comments please. :-)

Thanks,
Tianran
-----Original Message-----
From: tom petch [mailto:[email-masked]] 
Sent: Wednesday, July 8, 2020 7:42 PM
To: Tianran Zhou <[email-masked]>; Srihari Raghavan (srihari) <srihari=[email-masked]>; IETF IPPM WG ([email-masked]) <[email-masked]>; ippm-chairs <[email-masked]>
Cc: [email-masked]
Subject: Re: request for the wg adoption for draft-zhou-ippm-ioam-yang

Tom,

Tom Petch

Thanks,
Tianran

-----Original Message-----
From: tom petch [mailto:[email-masked]]
Sent: Wednesday, July 8, 2020 12:38 AM
To: Srihari Raghavan (srihari) <srihari=[email-masked]>; Tianran Zhou <[email-masked]>; IETF IPPM WG ([email-masked]) <[email-masked]>; ippm-chairs <[email-masked]>
Cc: [email-masked]
Subject: Re: request for the wg adoption for draft-zhou-ippm-ioam-yang

<tp>

Tom Petch

Hi all

Thanks
Srihari

Thanks,
Tianran

---

From: tom petch <[email-masked]>
Date: Fri, 10 Jul 2020 16:26:39 +0000

________________________________________
From: Tianran Zhou <[email-masked]>
Sent: 08 July 2020 13:20
To: tom petch; Srihari Raghavan (srihari); IETF IPPM WG ([email-masked]); ippm-chairs
Cc: [email-masked]
Subject: RE: request for the wg adoption for draft-zhou-ippm-ioam-yang

Hi Tom,

Yeah, I now understand.

<tp>
Eee that was quick:-)  a little something for the weekend.

I think that all the I-D that you have added as reference should be Normative.

A recent YANG doctor review said that all feature should also have a reference which seems right.

I was surprised that Frank's e-mail address was fbrockne@ but that looks consistent - perhaps Cisco limit identifiers to eight characters (Passwords too?)

brockners proof of transit has expired and gone from the repository - refresh before the window closes for the IETF108 (Monday?) would be good

I also want a reference for incremental so that  I can look up why 4.000.000.000 octet are needed for it!

I note that the I-D has four author, YANG only two - not wrong, just noteworthy

POT needs expanding on first use be it pot or POT

Tom Petch

Thanks,
Tianran
-----Original Message-----
From: tom petch [mailto:[email-masked]]
Sent: Wednesday, July 8, 2020 7:42 PM
To: Tianran Zhou <[email-masked]>; Srihari Raghavan (srihari) <srihari=[email-masked]>; IETF IPPM WG ([email-masked]) <[email-masked]>; ippm-chairs <[email-masked]>
Cc: [email-masked]
Subject: Re: request for the wg adoption for draft-zhou-ippm-ioam-yang

Tom,

Tom Petch

Thanks,
Tianran

-----Original Message-----
From: tom petch [mailto:[email-masked]]
Sent: Wednesday, July 8, 2020 12:38 AM
To: Srihari Raghavan (srihari) <srihari=[email-masked]>; Tianran Zhou <[email-masked]>; IETF IPPM WG ([email-masked]) <[email-masked]>; ippm-chairs <[email-masked]>
Cc: [email-masked]
Subject: Re: request for the wg adoption for draft-zhou-ippm-ioam-yang

<tp>

Tom Petch

Hi all

Thanks
Srihari

Thanks,
Tianran

---

From: tom petch <[email-masked]>
Date: Mon, 13 Jul 2020 15:41:16 +0000

Top posting since this is more one for the WG Chairs.  This I-D imports from draft-brockners-proof-of-transit
which means that it must be a Normative Reference but that I-D is expired and not adopted.  So for this I-D to progress in its present form then draft-brockners has to progress; will it?

I note a flurry of new versions of other related I-D which I suspect should be Normative References and which the WG archive suggests have not received much attention lately.  So I do not believe that this I-D can be considered in isolation but in the context of the WG willingness to progress the other I-D.  Just a thought.

Tom Petch

________________________________________
From: ippm <[email-masked]> on behalf of tom petch <[email-masked]>
Sent: 10 July 2020 17:26
To: Tianran Zhou; Srihari Raghavan (srihari); IETF IPPM WG ([email-masked]); ippm-chairs
Cc: [email-masked]
Subject: Re: [ippm] request for the wg adoption for draft-zhou-ippm-ioam-yang

Hi Tom,

Yeah, I now understand.

<tp>

Tom Petch

Thanks,
Tianran
-----Original Message-----
From: tom petch [mailto:[email-masked]]
Sent: Wednesday, July 8, 2020 7:42 PM
To: Tianran Zhou <[email-masked]>; Srihari Raghavan (srihari) <srihari=[email-masked]>; IETF IPPM WG ([email-masked]) <[email-masked]>; ippm-chairs <[email-masked]>
Cc: [email-masked]
Subject: Re: request for the wg adoption for draft-zhou-ippm-ioam-yang

Tom,

Tom Petch

Thanks,
Tianran

-----Original Message-----
From: tom petch [mailto:[email-masked]]
Sent: Wednesday, July 8, 2020 12:38 AM
To: Srihari Raghavan (srihari) <srihari=[email-masked]>; Tianran Zhou <[email-masked]>; IETF IPPM WG ([email-masked]) <[email-masked]>; ippm-chairs <[email-masked]>
Cc: [email-masked]
Subject: Re: request for the wg adoption for draft-zhou-ippm-ioam-yang

<tp>

Tom Petch

Hi all

Thanks
Srihari

Thanks,
Tianran
_______________________________________________
ippm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ippm

---

From: Greg Mirsky <[email-masked]>
Date: Mon, 13 Jul 2020 12:37:26 -0700

Hi Tom, et al.,
I believe that SFC WG has adopted draft-brokners-proof-of-transit
<https://datatracker.ietf.org/doc/draft-brockners-proof-of-transit/> and
draft-ietf-sfc-proof-of-transit is in WG LC. The datatracker reflects that.
Updating the reference should be easy.
Hope that note helps to resolve one small issue.

Regards,
Greg

On Fri, Jul 10, 2020 at 9:26 AM tom petch <[email-masked]> wrote:

> I was surprised that Frank's e-mail address was fbrockne@ but that looks
> consistent - perhaps Cisco limit identifiers to eight characters (Passwords
> too?)
>
> brockners proof of transit has expired and gone from the repository -
> refresh before the window closes for the IETF108 (Monday?) would be good
>
> To: Tianran Zhou <[email-masked]>; Srihari Raghavan (srihari)
> <srihari=[email-masked]>; IETF IPPM WG ([email-masked]) <
> [email-masked]>; ippm-chairs <[email-masked]>
> <tp> See the rest of the e-mail:-)  I mean boiler plate, references, IANA,
> Security, Version, Copyright and so on as opposed to the more technical
> details such as why a leaf is int32 octet?  Why octet and why might there
> be 4.000.000.000 of them? for which I need a reference for the data
> structures and hoped that such would be forthcoming.  I tend to make admin
> comments first, to see if the authors are awake:-), and then get more
> technical later, a pattern that you may have seen from me before.
>
> We are going to include the working group adopted transport protocols for
> IOAM. IPv6 is one. Yes we may need to add some more.
> You mention others in the text of the I-D so I was expecting them all to
> be there or an explanation as to why they are not there.  I know of none
> other than the ones you mention.
>
> Tom Petch
>
> Thanks,
> Tianran
>
> To: Srihari Raghavan (srihari) <srihari=[email-masked]>;
> Tianran Zhou <[email-masked]>; IETF IPPM WG ([email-masked]) <
> [email-masked]>; ippm-chairs <[email-masked]>
> From: ippm <[email-masked]> on behalf of Srihari Raghavan
> (srihari) <srihari=[email-masked]>
> Sent: 07 July 2020 09:13
>
> <tp>
> The module has zero references; they are required for any import and are
> needed for many of the nodes if they are to be understood.
>
> As a co-author of the IOAM yang model and implementor of the IOAM concept,
> would like to support and request the WG adoption of the data model draft
> as it adds value to the IOAM standardization and fills an important need
> for a common data model for all the five IOAM options.
>
> Thanks
> Srihari
>
> Cc: "[email-masked]" <
> [email-masked]>
> Subject: request for the wg adoption for draft-zhou-ippm-ioam-yang Resent
> from: <[email-masked]> Resent to: <[email-masked]>, <
> [email-masked]>, <[email-masked]>, <[email-masked]>
> This was presented 101 and 102. There were great comments from Greg Mirsky
> and Reshad Rahman on the model structure. Thanks.
>
> As the IOAM data get mature, I think it’s the right get the YANG model
> adopted, so that we can implement the system.
>
> Thanks,
> Tianran

---

From: Tianran Zhou <[email-masked]>
Date: Tue, 14 Jul 2020 00:54:42 +0000

Hi Greg,

Thanks very much for your pointer.
You are right, we should update the reference.

Cheers,
Tianran

From: Greg Mirsky [mailto:[email-masked]]
Sent: Tuesday, July 14, 2020 3:37 AM
To: tom petch <[email-masked]>
Cc: Tianran Zhou <[email-masked]>; Srihari Raghavan (srihari) <srihari=[email-masked]>; IETF IPPM WG ([email-masked]) <[email-masked]>; ippm-chairs <[email-masked]>; [email-masked]
Subject: Re: [ippm] request for the wg adoption for draft-zhou-ippm-ioam-yang

Hi Tom, et al.,
I believe that SFC WG has adopted draft-brokners-proof-of-transit<https://datatracker.ietf.org/doc/draft-brockners-proof-of-transit/> and draft-ietf-sfc-proof-of-transit is in WG LC. The datatracker reflects that. Updating the reference should be easy.
Hope that note helps to resolve one small issue.

Regards,
Greg

On Fri, Jul 10, 2020 at 9:26 AM tom petch <[email-masked]<mailto:[email-masked]>> wrote:

________________________________________
From: Tianran Zhou <[email-masked]<mailto:[email-masked]>>
Sent: 08 July 2020 13:20
To: tom petch; Srihari Raghavan (srihari); IETF IPPM WG ([email-masked]<mailto:[email-masked]>); ippm-chairs
Cc: [email-masked]<mailto:[email-masked]>
Subject: RE: request for the wg adoption for draft-zhou-ippm-ioam-yang

Hi Tom,

Yeah, I now understand.

<tp>

Tom Petch

Thanks,
Tianran
-----Original Message-----
From: tom petch [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Wednesday, July 8, 2020 7:42 PM
To: Tianran Zhou <[email-masked]<mailto:[email-masked]>>; Srihari Raghavan (srihari) <srihari=[email-masked]<mailto:[email-masked]>>; IETF IPPM WG ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; ippm-chairs <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: request for the wg adoption for draft-zhou-ippm-ioam-yang

From: Tianran Zhou <[email-masked]<mailto:[email-masked]>>
Sent: 08 July 2020 11:00

Tom,

Tom Petch

Thanks,
Tianran

-----Original Message-----
From: tom petch [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Wednesday, July 8, 2020 12:38 AM
To: Srihari Raghavan (srihari) <srihari=[email-masked]<mailto:[email-masked]>>; Tianran Zhou <[email-masked]<mailto:[email-masked]>>; IETF IPPM WG ([email-masked]<mailto:[email-masked]>) <[email-masked]<mailto:[email-masked]>>; ippm-chairs <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: request for the wg adoption for draft-zhou-ippm-ioam-yang

________________________________________
From: ippm <[email-masked]<mailto:[email-masked]>> on behalf of Srihari Raghavan (srihari) <srihari=[email-masked]<mailto:[email-masked]>>
Sent: 07 July 2020 09:13

<tp>

Tom Petch

Hi all

Thanks
Srihari

From: Tianran Zhou <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, 7 July 2020 at 6:43 AM
To: "IETF IPPM WG ([email-masked]<mailto:[email-masked]>)" <[email-masked]<mailto:[email-masked]>>, ippm-chairs <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: request for the wg adoption for draft-zhou-ippm-ioam-yang Resent from: <[email-masked]<mailto:[email-masked]>> Resent to: <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>> Resent date: Tuesday, 7 July 2020 at 6:43 AM

Thanks,
Tianran
_______________________________________________
ippm mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ippm

---

From: Tianran Zhou <[email-masked]>
Date: Tue, 14 Jul 2020 01:17:24 +0000

Hi Tom,

Thanks very much for more comments. Please see in line for my reply.
But I am sorry I am not able to complete the revision before the deadline. 
I will post once the submission is the open.

Cheers,
Tianran
-----Original Message-----
From: tom petch [mailto:[email-masked]] 
Sent: Saturday, July 11, 2020 12:27 AM
To: Tianran Zhou <[email-masked]>; Srihari Raghavan (srihari) <srihari=[email-masked]>; IETF IPPM WG ([email-masked]) <[email-masked]>; ippm-chairs <[email-masked]>
Cc: [email-masked]
Subject: Re: request for the wg adoption for draft-zhou-ippm-ioam-yang

Hi Tom,

Yeah, I now understand.

<tp>

[ztr] Yes, will update.

[ztr] Added.

I was surprised that Frank's e-mail address was fbrockne@ but that looks consistent - perhaps Cisco limit identifiers to eight characters (Passwords too?)
[ztr] Interesting finding. :-)

brockners proof of transit has expired and gone from the repository - refresh before the window closes for the IETF108 (Monday?) would be good
[ztr] As Greg pointed, we used an old reference. This should be updated by the latest one, which is in SFC WG.

I also want a reference for incremental so that  I can look up why 4.000.000.000 octet are needed for it!
[ztr] The reference is as follows in section 5.4:
https://datatracker.ietf.org/doc/draft-ietf-ippm-ioam-data/
[ztr] I agree this should be more strict. Since the draft does not have an explicit description on the length, I would like to hear your input and the discussion in the WG.  

I note that the I-D has four author, YANG only two - not wrong, just noteworthy
[ztr] This IMHO is just like the authors and editors in an ID. Anyway, I will add the four in list.

[ztr] Done.

Tom Petch

Thanks,
Tianran
-----Original Message-----
From: tom petch [mailto:[email-masked]]
Sent: Wednesday, July 8, 2020 7:42 PM
To: Tianran Zhou <[email-masked]>; Srihari Raghavan (srihari) <srihari=[email-masked]>; IETF IPPM WG ([email-masked]) <[email-masked]>; ippm-chairs <[email-masked]>
Cc: [email-masked]
Subject: Re: request for the wg adoption for draft-zhou-ippm-ioam-yang

Tom,

Tom Petch

Thanks,
Tianran

-----Original Message-----
From: tom petch [mailto:[email-masked]]
Sent: Wednesday, July 8, 2020 12:38 AM
To: Srihari Raghavan (srihari) <srihari=[email-masked]>; Tianran Zhou <[email-masked]>; IETF IPPM WG ([email-masked]) <[email-masked]>; ippm-chairs <[email-masked]>
Cc: [email-masked]
Subject: Re: request for the wg adoption for draft-zhou-ippm-ioam-yang

<tp>

Tom Petch

Hi all

Thanks
Srihari

Thanks,
Tianran